from httpmessageprocessorutil.automapped.exception import PropertyError


class ListPropertyError(PropertyError):
    def __init__(
            self,
            property_name,
            error_code,
            inner_exception,
    ):
        super().__init__(property_name, error_code)
        self.inner_exception = inner_exception
